# math_Recipes.hxx File Reference

`#include <Standard_Boolean.hxx>`
`#include <Standard_Integer.hxx>`
`#include <Standard_Real.hxx>`

## Defines

#define | __math_API

## Functions

__math_API Standard_Integer | LU_Decompose (math_Matrix &a, math_IntegerVector &indx, Standard_Real &d, Standard_Real TINY=1.0e-20)
__math_API Standard_Integer | LU_Decompose (math_Matrix &a, math_IntegerVector &indx, Standard_Real &d, math_Vector &vv, Standard_Real TINY=1.0e-30)
__math_API void | LU_Solve (const math_Matrix &a, const math_IntegerVector &indx, math_Vector &b)
__math_API Standard_Integer | LU_Invert (math_Matrix &a)
__math_API Standard_Integer | SVD_Decompose (math_Matrix &a, math_Vector &w, math_Matrix &v)
__math_API Standard_Integer | SVD_Decompose (math_Matrix &a, math_Vector &w, math_Matrix &v, math_Vector &rv1)
__math_API void | SVD_Solve (const math_Matrix &u, const math_Vector &w, const math_Matrix &v, const math_Vector &b, math_Vector &x)
__math_API Standard_Integer | DACTCL_Decompose (math_Vector &a, const math_IntegerVector &indx, const Standard_Real MinPivot=1.e-20)
__math_API Standard_Integer | DACTCL_Solve (const math_Vector &a, math_Vector &b, const math_IntegerVector &indx, const Standard_Real MinPivot=1.e-20)
__math_API Standard_Integer | Jacobi (math_Matrix &a, math_Vector &d, math_Matrix &v, Standard_Integer &nrot)
__math_API Standard_Real | Random2 (Standard_Integer &idum)

## Variables

class class const Standard_Integer | math_Status_OK = 0
const Standard_Integer | math_Status_SingularMatrix = 1
const Standard_Integer | math_Status_ArgumentError = 2
const Standard_Integer | math_Status_NoConvergence = 3

## Define Documentation

#define __math_API

## Function Documentation

__math_API Standard_Integer DACTCL_Decompose | ( | math_Vector & | a,
|  | const math_IntegerVector & | indx,
|  | const Standard_Real | MinPivot = `1.e-20`
| ) |

__math_API Standard_Integer DACTCL_Solve | ( | const math_Vector & | a,
|  | math_Vector & | b,
|  | const math_IntegerVector & | indx,
|  | const Standard_Real | MinPivot = `1.e-20`
| ) |

__math_API Standard_Integer Jacobi | ( | math_Matrix & | a,
|  | math_Vector & | d,
|  | math_Matrix & | v,
|  | Standard_Integer & | nrot
| ) |

__math_API Standard_Integer LU_Decompose | ( | math_Matrix & | a,
|  | math_IntegerVector & | indx,
|  | Standard_Real & | d,
|  | math_Vector & | vv,
|  | Standard_Real | TINY = `1.0e-30`
| ) |

__math_API Standard_Integer LU_Decompose | ( | math_Matrix & | a,
|  | math_IntegerVector & | indx,
|  | Standard_Real & | d,
|  | Standard_Real | TINY = `1.0e-20`
| ) |

__math_API Standard_Integer LU_Invert | ( | math_Matrix & | a | ) |

__math_API void LU_Solve | ( | const math_Matrix & | a,
|  | const math_IntegerVector & | indx,
|  | math_Vector & | b
| ) |

__math_API Standard_Real Random2 | ( | Standard_Integer & | idum | ) |

__math_API Standard_Integer SVD_Decompose | ( | math_Matrix & | a,
|  | math_Vector & | w,
|  | math_Matrix & | v,
|  | math_Vector & | rv1
| ) |

__math_API Standard_Integer SVD_Decompose | ( | math_Matrix & | a,
|  | math_Vector & | w,
|  | math_Matrix & | v
| ) |

__math_API void SVD_Solve | ( | const math_Matrix & | u,
|  | const math_Vector & | w,
|  | const math_Matrix & | v,
|  | const math_Vector & | b,
|  | math_Vector & | x
| ) |

## Variable Documentation

const Standard_Integer math_Status_ArgumentError = 2

const Standard_Integer math_Status_NoConvergence = 3

class class class const Standard_Integer math_Status_OK = 0

const Standard_Integer math_Status_SingularMatrix = 1